> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> Retrieves a paginated (cursor) list of invoices for a Merchant, optionally
filtered by status.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/invoices
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/invoices:
    get:
      tags:
        - Invoice management
      summary: List Invoices
      description: >-
        Retrieves a paginated (cursor) list of invoices for a Merchant,
        optionally

        filtered by status.
      operationId: listInvoices
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                  required:
                    - sid
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    status:
                      type: string
                      description: >-
                        A status to filter by. One of: draft, sent, viewed,
                        partially_paid, paid, void, refunded, overdue, all. Omit
                        for all.
                      example: sent
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: null
                      invoice_number: INV-63526
                      status: draft
                      customer_name: Rowan Gulgowski
                      customer_email: justina.gaylord@example.org
                      total: 0
                      amount_paid: 0
                      balance: 0
                      issue_date: '2026-07-14'
                      due_date: '2026-07-29'
                      is_overdue: false
                      public_url: >-
                        http://app.dimepayments.com/invoice/RZ7xVRwJncubsFVh0Z85VAf3abUFHg4PaKZlBtTV
                    - id: null
                      invoice_number: INV-67996
                      status: draft
                      customer_name: Dr. Mona Lemke
                      customer_email: rosario67@example.net
                      total: 0
                      amount_paid: 0
                      balance: 0
                      issue_date: '2026-07-13'
                      due_date: '2026-07-28'
                      is_overdue: false
                      public_url: >-
                        http://app.dimepayments.com/invoice/Da8SeUIG9dUX8TIAcmT4bEH5XICDuPk8GRrUoNlj
                  links:
                    prev: null
                    next: null
                  meta:
                    path: /
                    per_page: 500
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: null
                        invoice_number: INV-63526
                        status: draft
                        customer_name: Rowan Gulgowski
                        customer_email: justina.gaylord@example.org
                        total: 0
                        amount_paid: 0
                        balance: 0
                        issue_date: '2026-07-14'
                        due_date: '2026-07-29'
                        is_overdue: false
                        public_url: >-
                          http://app.dimepayments.com/invoice/RZ7xVRwJncubsFVh0Z85VAf3abUFHg4PaKZlBtTV
                      - id: null
                        invoice_number: INV-67996
                        status: draft
                        customer_name: Dr. Mona Lemke
                        customer_email: rosario67@example.net
                        total: 0
                        amount_paid: 0
                        balance: 0
                        issue_date: '2026-07-13'
                        due_date: '2026-07-28'
                        is_overdue: false
                        public_url: >-
                          http://app.dimepayments.com/invoice/Da8SeUIG9dUX8TIAcmT4bEH5XICDuPk8GRrUoNlj
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: null
                          description: 'The internal id of the invoice. Example: 42'
                        invoice_number:
                          type: string
                          example: INV-63526
                          description: 'The human-readable invoice number. Example: INV-0007'
                        status:
                          type: string
                          example: draft
                          description: 'The invoice status. Example: sent'
                        customer_name:
                          type: string
                          example: Rowan Gulgowski
                          description: 'The customer name snapshot. Example: Jane Doe'
                        customer_email:
                          type: string
                          example: justina.gaylord@example.org
                          description: >-
                            The customer email snapshot. Example:
                            jane@example.com
                        total:
                          type: integer
                          example: 0
                          description: 'The invoice total in dollars. Example: 250.00'
                        amount_paid:
                          type: integer
                          example: 0
                          description: 'The amount paid in dollars. Example: 0'
                        balance:
                          type: integer
                          example: 0
                          description: 'The outstanding balance in dollars. Example: 250.00'
                        issue_date:
                          type: string
                          example: '2026-07-14'
                          description: 'The issue date (Y-m-d). Example: 2026-07-01'
                        due_date:
                          type: string
                          example: '2026-07-29'
                          description: 'The due date (Y-m-d). Example: 2026-07-16'
                        is_overdue:
                          type: boolean
                          example: false
                          description: >-
                            Whether the invoice is past due with a balance.
                            Example: false
                        public_url:
                          type: string
                          example: >-
                            http://app.dimepayments.com/invoice/RZ7xVRwJncubsFVh0Z85VAf3abUFHg4PaKZlBtTV
                          description: >-
                            The public pay link. Example:
                            https://example.test/invoice/abcd
                  links:
                    type: object
                    properties:
                      prev:
                        type: string
                        example: null
                        nullable: true
                      next:
                        type: string
                        example: null
                        nullable: true
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 500
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
        '400':
          description: Failed validation
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    filters.status:
                      - The selected filters.status is invalid.
                properties:
                  errors:
                    type: object
                    properties:
                      filters.status:
                        type: array
                        example:
                          - The selected filters.status is invalid.
                        items:
                          type: string
        '401':
          description: Token unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Permission Denied.
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Permission Denied.
        '404':
          description: Invalid sid
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: No such Merchant
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: No such Merchant
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````